"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3560>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c36a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3600>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3740>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c37e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3880>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3920>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c39c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3a60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3b00>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3ba0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3c40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3ce0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3d80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3e20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3ec0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c7c3f60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820040>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8200e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820180>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820220>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8202c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820360>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820400>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8204a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820540>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8205e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820680>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820720>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8207c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820860>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820900>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8209a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820a40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820ae0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820c20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820cc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820d60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820e00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820ea0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820f40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c820fe0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821080>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821120>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8211c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821260>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821300>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8213a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821440>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8214e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821580>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821620>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8216c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821760>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821800>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8218a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8219e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821a80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821b20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821bc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821c60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821d00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821da0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821e40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821ee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c821f80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822020>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8220c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822160>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822200>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8222a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822340>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8223e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822480>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822520>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8225c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822660>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8227a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822700>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822840>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c8228e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822980>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fb44c822a20>)]
name: str = 'fr_HOCCN'
